Package org.apache.synapse.transport.http.conn

## Class ServerSSLSetupHandler

- java.lang.Object
- - org.apache.synapse.transport.http.conn.ServerSSLSetupHandler

- All Implemented Interfaces:
    `org.apache.http.nio.reactor.ssl.SSLSetupHandler`

      public class ServerSSLSetupHandler
      extends Object
      implements org.apache.http.nio.reactor.ssl.SSLSetupHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerSSLSetupHandler​(SSLClientAuth clientAuth, String[] httpsProtocols, RevocationVerificationManager verificationManager, String[] preferredCiphers)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `initalize​(SSLEngine sslengine)` |
    `void` | `verify​(org.apache.http.nio.reactor.IOSession iosession, SSLSession sslsession)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerSSLSetupHandler

          public ServerSSLSetupHandler​(SSLClientAuth clientAuth,
                                       String[] httpsProtocols,
                                       RevocationVerificationManager verificationManager,
                                       String[] preferredCiphers)

  - ### Method Detail

    - #### initalize

          public void initalize​(SSLEngine sslengine)
                         throws SSLException

      Specified by:
        `initalize` in interface `org.apache.http.nio.reactor.ssl.SSLSetupHandler`
      Throws:
        `SSLException`

    - #### verify

          public void verify​(org.apache.http.nio.reactor.IOSession iosession,
                             SSLSession sslsession)
                      throws SSLException

      Specified by:
        `verify` in interface `org.apache.http.nio.reactor.ssl.SSLSetupHandler`
      Throws:
        `SSLException`